# $Revision: 1.32 $, $Date: 2011/02/12 14:24:44 $
#
# TODO:
#	- clean up Requires (still)
#	- test cryptroot, dmraid, mdadm, opensc, openct modules
#
Summary:	Tools for generating an initramfs
Summary(pl.UTF-8):	Narzędzia do tworzenia initramfs
Name:		initramfs-tools
Version:	0.93.4
Release:	6
License:	Public Domain
Group:		Applications/System
Source0:	ftp://ftp.debian.org/debian/pool/main/i/initramfs-tools/%{name}_%{version}.tar.gz
# Source0-md5:	06415435a4ba85713ea50b34e212d73c
Patch0:		%{name}-undebianize.patch
Patch1:		%{name}-nobb.patch
Patch2:		%{name}-gz-modules.patch
Patch3:		%{name}-less-noise.patch
Patch4:		%{name}-initrdtools.patch
Patch5:		%{name}-klibcdir.patch
Patch6:		%{name}-no-backup.patch
URL:		http://git.debian.org/?p=kernel/initramfs-tools.git;a=shortlog
Requires:	/usr/bin/ldd
Requires:	/usr/bin/locale
# Probably gawk
Requires:	awk
Requires:	busybox >= 1.12.4-3
Requires:	coreutils
Requires:	cpio
Requires:	findutils
Requires:	grep
Requires:	gzip
Requires:	klibc >= 1.5.15-3
Requires:	klibc-utils-shared >= 1.5.15-3
Requires:	module-init-tools
Requires:	mount
Requires:	udev-initramfs
Requires:	util-linux
Suggests:	busybox-initrd >= 1.15.3-3
Suggests:	cryptsetup-luks-initramfs
Suggests:	cryptsetup-luks-initrd
Suggests:	device-mapper-initrd
Suggests:	dmraid-initramfs >= 1.0.0-0.rc15.3
Suggests:	dmraid-initrd
Suggests:	e2fsprogs-initrd
Suggests:	lvm2-initramfs
Suggests:	lvm2-initrd
Suggests:	mdadm-initramfs
Suggests:	mdadm-initrd
Suggests:	module-init-tools-initrd
Suggests:	multipath-tools-initramfs
Suggests:	openct-initramfs
Suggests:	opensc-initramfs
Suggests:	suspend-initrd
Suggests:	udev-initrd
Suggests:	util-linux-initrd
Suggests:	v86d-initrd
Suggests:	xfsprogs-initrd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
initramfs-tools is an hookable initramfs generator. It can boot on
NFS, LVM2, md, LUKS, dmraid, oldstyle devices, ... The generated
initramfs is generic, but can explicitly be tuned for small. It is
written in POSIX shell, has an "end-user" friendly invocation with
update-initramfs and the low level mkinitramfs. The initramfs uses
klibc, comes together with a rescue shell. It is possible to ssh into
it.

%description -l pl.UTF-8
initramfs-tools to generator initramfs. Umożliwia bootowanie ze
zwykłych urządzeń, LVM2, md, LUKS, dmraid czy NFS. Utworzony initramfs
jest ogólny, ale można go dostroić tak aby był minimalny.
initramfs-tools jest napisany w shellu zgodnym ze standardem POSIX.
Można go wywoływać poprzez przyjazny dla użytkownika update-initramfs
i niskopoziomowy mkinitramfs. Utworzony initramfs używa klibc, posiada
wbudowany ratunkowy shell do którego można zalogować się przez ssh.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

sed -i -e 's|__KLIBCDIR__|%{_lib}|g' hook-functions mkinitramfs
sed -i -e 's|INITRDDIR="/usr/lib/initrd"|INITRDDIR="/usr/%{_lib}/initrd"|' mkinitramfs

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/initramfs-tools/{hooks,/conf.d}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/initramfs-tools/scripts/{init,local,nfs}-{bottom,premount,top}
install -d $RPM_BUILD_ROOT%{_datadir}/initramfs-tools/scripts/{init,local,nfs}-{bottom,premount,top}
install -d $RPM_BUILD_ROOT%{_datadir}/initramfs-tools/{conf.d,conf-hooks.d,modules.d}
install -d $RPM_BUILD_ROOT/var/lib/initramfs-tools
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8}}

cp -a init scripts hooks hook-functions $RPM_BUILD_ROOT%{_datadir}/initramfs-tools
install mkinitramfs update-initramfs $RPM_BUILD_ROOT%{_sbindir}
install conf/initramfs.conf conf/update-initramfs.conf conf/modules $RPM_BUILD_ROOT%{_sysconfdir}/initramfs-tools

install initramfs.conf.5 update-initramfs.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install mkinitramfs.8 initramfs-tools.8 update-initramfs.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HACKING docs/*
%dir %{_sysconfdir}/initramfs-tools
%dir %{_sysconfdir}/initramfs-tools/conf.d
%dir %{_sysconfdir}/initramfs-tools/hooks
%dir %{_sysconfdir}/initramfs-tools/scripts
%dir %{_sysconfdir}/initramfs-tools/scripts/init-bottom
%dir %{_sysconfdir}/initramfs-tools/scripts/init-premount
%dir %{_sysconfdir}/initramfs-tools/scripts/init-top
%dir %{_sysconfdir}/initramfs-tools/scripts/local-bottom
%dir %{_sysconfdir}/initramfs-tools/scripts/local-premount
%dir %{_sysconfdir}/initramfs-tools/scripts/local-top
%dir %{_sysconfdir}/initramfs-tools/scripts/nfs-bottom
%dir %{_sysconfdir}/initramfs-tools/scripts/nfs-premount
%dir %{_sysconfdir}/initramfs-tools/scripts/nfs-top
%{_sysconfdir}/initramfs-tools/initramfs.conf
%{_sysconfdir}/initramfs-tools/modules
%{_sysconfdir}/initramfs-tools/update-initramfs.conf
%dir %{_datadir}/initramfs-tools
%{_datadir}/initramfs-tools/hook-functions
%attr(755,root,root) %{_datadir}/initramfs-tools/init
%dir %{_datadir}/initramfs-tools/conf.d
%dir %{_datadir}/initramfs-tools/hooks
%attr(755,root,root) %{_datadir}/initramfs-tools/hooks/*
%dir %{_datadir}/initramfs-tools/conf-hooks.d
%dir %{_datadir}/initramfs-tools/modules.d
%dir %{_datadir}/initramfs-tools/scripts
%dir %{_datadir}/initramfs-tools/scripts/init-bottom
%dir %{_datadir}/initramfs-tools/scripts/init-premount
%dir %{_datadir}/initramfs-tools/scripts/init-top
%dir %{_datadir}/initramfs-tools/scripts/local-bottom
%dir %{_datadir}/initramfs-tools/scripts/local-premount
%dir %{_datadir}/initramfs-tools/scripts/local-top
%dir %{_datadir}/initramfs-tools/scripts/nfs-bottom
%dir %{_datadir}/initramfs-tools/scripts/nfs-premount
%dir %{_datadir}/initramfs-tools/scripts/nfs-top
%{_datadir}/initramfs-tools/scripts/functions
%{_datadir}/initramfs-tools/scripts/local
%{_datadir}/initramfs-tools/scripts/nfs
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/init-premount/*
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/init-top/*
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/local-premount/*
%attr(755,root,root) %{_sbindir}/*
%dir /var/lib/initramfs-tools
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: initramfs-tools.spec,v $
Revision 1.32  2011/02/12 14:24:44  wiget
- rel. 6

Revision 1.31  2011/02/11 01:33:25  sparky
- s/util-linux-ng7util-linux/

Revision 1.30  2010/06/04 06:29:06  glen
- adapter

Revision 1.29  2010/01/21 16:11:02  baggins
- S: busybox-initrd with printf enabled

Revision 1.28  2010/01/21 15:46:14  baggins
- rel 5
- fixed no-backup patch

Revision 1.27  2010/01/21 15:01:24  baggins
- rel 4

Revision 1.26  2010/01/21 14:07:07  baggins
- S: *-initrd

Revision 1.25  2010/01/21 12:14:07  baggins
- ignore possible backup files when building scipts list

Revision 1.24  2010/01/21 00:00:15  baggins
- rel 3
- cleanup after patching (we do cp -a *)
- fix klibc location

Revision 1.23  2010/01/20 22:45:03  baggins
- rel 2

Revision 1.22  2010/01/20 16:47:06  baggins
- added support for initrd static programs

Revision 1.21  2010/01/20 15:07:09  baggins
- rel 1
- fixed klibc lib dir

Revision 1.20  2010/01/20 14:58:18  baggins
- updated to 0.93.4

Revision 1.19  2009/06/04 13:01:42  baggins
- rel 2
- explicit R ldd and locale in place of glibc-misc

Revision 1.18  2009/03/02 10:22:01  baggins
- rel 1
- standard and lvm works

Revision 1.17  2009/02/27 21:11:15  baggins
- S dmraid in /

Revision 1.16  2009/02/27 19:17:48  baggins
- rel 0.9
- lower the amount of noise/screen pollution on plain console

Revision 1.15  2009/02/27 00:59:35  baggins
- rel 0.8
- added missing dirs

Revision 1.14  2009/02/26 15:50:42  baggins
- updated TODO

Revision 1.13  2009/02/26 15:19:56  baggins
- rel 0.7
- added suggests for -initramfs subpackages

Revision 1.12  2009/02/24 22:34:36  baggins
- R not broken busybox

Revision 1.11  2009/02/24 15:34:12  baggins
- rel 0.5

Revision 1.10  2009/02/24 14:47:25  baggins
- rel 0.4
- R busybox with working ash
- R udev-initramfs
- fix for compressed kernel modules

Revision 1.9  2009/02/23 16:17:16  baggins
- rel 0.2

Revision 1.8  2009/02/23 16:17:05  baggins
- use full paths to module tools to avoid using, possibly broken, busybox builtins

Revision 1.7  2009/02/22 18:31:17  baggins
- pl desc

Revision 1.6  2009/02/22 18:20:31  baggins
- undebianized

Revision 1.5  2009/02/22 17:09:02  baggins
- better description

Revision 1.4  2009/02/22 12:44:52  baggins
- less todo, klibc cleaned up

Revision 1.3  2009/02/22 12:20:33  baggins
- more todo

Revision 1.2  2009/02/22 12:20:14  baggins
- added install and files
- cleanups

Revision 1.1  2009/02/22 01:08:07  baggins
- initial revision, very raw

